OGRE: Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry Class Reference

Struct holding geometry optimised per SubMesh / LOD level, ready for copying to instances. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry:
[legend]

## Public Member Functions
| OptimisedSubMeshGeometry ()
| ~OptimisedSubMeshGeometry ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
IndexData * | indexData
VertexData * | vertexData

## Detailed Description

Struct holding geometry optimised per SubMesh / LOD level, ready for copying to instances.

Remarks
  Since we're going to be duplicating geometry lots of times, it's far more important that we don't have redundant vertex data. If a SubMesh uses shared geometry, or we're looking at a lower LOD, not all the vertices are being referenced by faces on that submesh. Therefore to duplicate them, potentially hundreds or even thousands of times, would be extremely wasteful. Therefore, if a SubMesh at a given LOD has wastage, we create an optimised version of it's geometry which is ready for copying with no wastage.

## Constructor & Destructor Documentation

## ◆ OptimisedSubMeshGeometry()

Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry::OptimisedSubMeshGeometry | ( |  | ) |
| inline

## ◆ ~OptimisedSubMeshGeometry()

Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry::~OptimisedSubMeshGeometry | ( |  | ) |
| inline

References OGRE_DELETE.

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ indexData

IndexData* Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry::indexData

## ◆ vertexData

VertexData* Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry::vertexData

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h